Skip to main content
`Ctrl`+`K`

# ISRestoreTotalIndices

Restore the index array obtained with `ISGetTotalIndices()`.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISRestoreTotalIndices(IS is, const PetscInt *indices[])

Not Collective.

## Input Parameters

- is - the index set

- indices - index array; must be the array obtained with `ISGetTotalIndices()`

## See Also

`IS`, `ISGetNonlocalIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages